Create or update a connection from a "A/B test" node
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/abtest/successors/{nodeId}
clientIdstringClient ID
nodeIdstringSuccessor node ID
campaignIdinteger<int64>Smart Campaign ID
acceptstringGenerated from available response content types
absoluteinteger<int32>Number of recipients to be contacted. Cannot be provided simultaneously with relative value.
relativenumber<float>Percentage of recipients to be contacted. Cannot be provided simultaneously with absolute value.
namestringName of the target group
targetGroupstring<p>Target group definition as JSON, e.g. { "targetGroup": { "id": 123456 }}. Connect definitions by using the operators 'and', 'or' or 'not'.</p>
predecessorNodeIdstringPredecessor node
successorNodeIdstringSuccessor node
200<p>The "A/B test" connection was updated successfully.</p>
201<p>The "A/B test" connection was created successfully.</p>
404<p>The "A/B test" successor node could not be found. Ensure that the required parameters such as "campaignId" or "nodeId" are correct and the successor node exists.</p>
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/abtest/successors/{nodeId} \
--header 'accept: application/json'